<?php


return  
    [
        'model' => [
            'model' => \Bixo\Conveyancing\Models\Conveyancing::class,
            'table' => 'bixo_conveyancing_conveyancings',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['deal_ref',  'team_id',  'deal_id',  'location',  'buyers',  'sellers',  'developer',  'ref',  'type',  'property_type',  'property_status',  'developer_id',  'agent_id',  'bua',  'plot',  'status',  'plot_area',  'plot_area_unit',  'commission_buyer',  'commission_buyer_percent',  'commission_buyer_vat',  'commission_seller',  'commission_seller_percent',  'commission_seller_vat',  'unit_no',  'agency_commission_amt',  'beds',  'notes',  'approved_id',  'approved_date',  'mou_start_date',  'mou_end_date',  'documents',  'status_fcs',  'original_price',  'paid_amount',  'selling_price',  'service_charge',  'balance_amount',  'due_to_developer',  'due_to_seller',  'external_office_name',  'external_license',  'external_orn',  'external_license_no',  'external_fax',  'external_phone',  'external_address',  'external_email',  'external_agent_name',  'external_mobile',  'external_brn',  'external_agency_rep',  'project_name',  'development',  'community',  'date_of_transfer',  'type_of_area',  'title_deed_no',  'property_no',  'community_no',  'type_of_sale',  'noc_developer',  'mortgage',  'mortgage_amount',  'mortgage_paid_amount',  'mortgage_period_from',  'mortgage_period_to',  'mortgage_level',  'mortgage_discharge_fee',  'mortgage_registration_fee',  'noc_attached',  'buyer_type',  'seller_type',  'buyer_transfer_fee_per',  'buyer_transfer_fee',  'seller_transfer_fee_per',  'seller_transfer_fee',  'transfer_admin_fee',  'buyer_community_fees',  'seller_community_fees',  'buyer_total_amount',  'seller_total_amount',  'noc_fee',  'buyer_conveyance_fee',  'buyer_deposit_percent',  'buyer_deposit',  'seller_conveyance_fee',  'buyer_progression_fee',  'seller_progression_fee',  'property_blocking_fee',  'trustee_blocking_fee',  'buyer_sell_price',  'commission_agency',  'present_use',  'additional_info',  'listed_price',  'agent_brn',  'agent_mobile',  'property_rented',  'rent_amount',  'rent_security_deposit',  'number_of_rented_properties',  'rent_expiry',  'number_of_cheque',  'rent_refund',  'refund_to_buyer',  'owner_name_english',  'owner_name_arabic',  'owner_LR_english',  'owner_LR_arabic',  'owner_representing_type',  'owner_attorney_no',  'owner_card',  'buyer_card',  'owner_power_attorney',  'buyer_power_attorney',  'buyer_name_english',  'buyer_name_arabic',  'buyer_LR_english',  'buyer_LR_arabic',  'buyer_representing_type',  'buyer_attorney_no',  'opportunity_id',  'offer_id',  'rent_start_date',  'stage',  'stages',  'baths',  'furnished',  'occupancy',  'conveyencer',  'admin',  'on_payment_plan',  'external_documents',  'seller_agent_id',  'buyer_documents',  'seller_documents',  'approved_loan_amount',  'conveyancer',  'rejected_description',  'conveyancer_notes',  'notifications',  'listing_id',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'conveyancing/conveyancing',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "deal_ref", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.deal_ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "team_id", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.team_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deal_id", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.deal_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.location', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyers", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyers', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sellers", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.sellers', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "developer", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.developer', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.property_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_status", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.property_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "developer_id", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.developer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_id", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.agent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bua", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.bua', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "plot", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.plot', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "plot_area", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.plot_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "plot_area_unit", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.plot_area_unit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_buyer", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.commission_buyer', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_buyer_percent", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.commission_buyer_percent', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_buyer_vat", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.commission_buyer_vat', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_seller", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.commission_seller', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_seller_percent", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.commission_seller_percent', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_seller_vat", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.commission_seller_vat', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit_no", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.unit_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agency_commission_amt", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.agency_commission_amt', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "beds", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.beds', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "approved_id", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.approved_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "approved_date", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.approved_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mou_start_date", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.mou_start_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mou_end_date", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.mou_end_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "documents", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.documents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "status_fcs", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.status_fcs', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "original_price", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.original_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "paid_amount", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.paid_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "selling_price", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.selling_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "service_charge", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.service_charge', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "balance_amount", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.balance_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "due_to_developer", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.due_to_developer', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "due_to_seller", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.due_to_seller', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "external_office_name", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.external_office_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "external_license", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.external_license', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "external_orn", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.external_orn', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "external_license_no", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.external_license_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "external_fax", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.external_fax', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "external_phone", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.external_phone', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "external_address", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.external_address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "external_email", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.external_email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "external_agent_name", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.external_agent_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "external_mobile", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.external_mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "external_brn", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.external_brn', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "external_agency_rep", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.external_agency_rep', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_name", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.project_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "development", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.development', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "community", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.community', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "date_of_transfer", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.date_of_transfer', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type_of_area", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.type_of_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "title_deed_no", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.title_deed_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_no", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.property_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "community_no", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.community_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type_of_sale", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.type_of_sale', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "noc_developer", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.noc_developer', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mortgage", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.mortgage', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mortgage_amount", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.mortgage_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mortgage_paid_amount", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.mortgage_paid_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mortgage_period_from", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.mortgage_period_from', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mortgage_period_to", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.mortgage_period_to', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mortgage_level", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.mortgage_level', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mortgage_discharge_fee", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.mortgage_discharge_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mortgage_registration_fee", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.mortgage_registration_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "noc_attached", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.noc_attached', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_type", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_type", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.seller_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_transfer_fee_per", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_transfer_fee_per', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_transfer_fee", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_transfer_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_transfer_fee_per", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.seller_transfer_fee_per', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_transfer_fee", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.seller_transfer_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "transfer_admin_fee", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.transfer_admin_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_community_fees", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_community_fees', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_community_fees", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.seller_community_fees', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_total_amount", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_total_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_total_amount", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.seller_total_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "noc_fee", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.noc_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_conveyance_fee", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_conveyance_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_deposit_percent", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_deposit_percent', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_deposit", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_deposit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_conveyance_fee", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.seller_conveyance_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_progression_fee", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_progression_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_progression_fee", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.seller_progression_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_blocking_fee", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.property_blocking_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "trustee_blocking_fee", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.trustee_blocking_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_sell_price", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_sell_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_agency", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.commission_agency', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "present_use", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.present_use', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "additional_info", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.additional_info', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "listed_price", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.listed_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_brn", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.agent_brn', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_mobile", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.agent_mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_rented", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.property_rented', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rent_amount", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.rent_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rent_security_deposit", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.rent_security_deposit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "number_of_rented_properties", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.number_of_rented_properties', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rent_expiry", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.rent_expiry', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "number_of_cheque", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.number_of_cheque', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rent_refund", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.rent_refund', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "refund_to_buyer", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.refund_to_buyer', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "owner_name_english", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.owner_name_english', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "owner_name_arabic", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.owner_name_arabic', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "owner_LR_english", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.owner_LR_english', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "owner_LR_arabic", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.owner_LR_arabic', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "owner_representing_type", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.owner_representing_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "owner_attorney_no", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.owner_attorney_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "owner_card", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.owner_card', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_card", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_card', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "owner_power_attorney", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.owner_power_attorney', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_power_attorney", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_power_attorney', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_name_english", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_name_english', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_name_arabic", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_name_arabic', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_LR_english", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_LR_english', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_LR_arabic", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_LR_arabic', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_representing_type", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_representing_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_attorney_no", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_attorney_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "opportunity_id", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.opportunity_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "offer_id", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.offer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rent_start_date", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.rent_start_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "stage", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.stage', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "stages", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.stages', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "baths", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.baths', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "furnished", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.furnished', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "occupancy", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.occupancy', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "conveyencer", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.conveyencer', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "admin", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.admin', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "on_payment_plan", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.on_payment_plan', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "external_documents", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.external_documents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_agent_id", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.seller_agent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_documents", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.buyer_documents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_documents", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.seller_documents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "approved_loan_amount", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.approved_loan_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "conveyancer", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.conveyancer', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rejected_description", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.rejected_description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "conveyancer_notes", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.conveyancer_notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notifications", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.notifications', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "listing_id", 
                "type" => "text", 
                "label" => 'conveyancing::conveyancing.label.listing_id', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'deal_ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.deal_ref',
                "placeholder" => 'conveyancing::conveyancing.placeholder.deal_ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'team_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.team_id',
                "placeholder" => 'conveyancing::conveyancing.placeholder.team_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deal_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.deal_id',
                "placeholder" => 'conveyancing::conveyancing.placeholder.deal_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.location',
                "placeholder" => 'conveyancing::conveyancing.placeholder.location',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyers',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.buyers',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyers',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sellers',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.sellers',
                "placeholder" => 'conveyancing::conveyancing.placeholder.sellers',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'developer',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.developer',
                "placeholder" => 'conveyancing::conveyancing.placeholder.developer',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.ref',
                "placeholder" => 'conveyancing::conveyancing.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.type',
                "placeholder" => 'conveyancing::conveyancing.placeholder.type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.property_type',
                "placeholder" => 'conveyancing::conveyancing.placeholder.property_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_status',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.property_status',
                "placeholder" => 'conveyancing::conveyancing.placeholder.property_status',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.property_status');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'developer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.developer_id',
                "placeholder" => 'conveyancing::conveyancing.placeholder.developer_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.agent_id',
                "placeholder" => 'conveyancing::conveyancing.placeholder.agent_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bua',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.bua',
                "placeholder" => 'conveyancing::conveyancing.placeholder.bua',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'plot',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.plot',
                "placeholder" => 'conveyancing::conveyancing.placeholder.plot',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'plot_area',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.plot_area',
                "placeholder" => 'conveyancing::conveyancing.placeholder.plot_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'plot_area_unit',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.plot_area_unit',
                "placeholder" => 'conveyancing::conveyancing.placeholder.plot_area_unit',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.plot_area_unit');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_buyer',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.commission_buyer',
                "placeholder" => 'conveyancing::conveyancing.placeholder.commission_buyer',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_buyer_percent',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.commission_buyer_percent',
                "placeholder" => 'conveyancing::conveyancing.placeholder.commission_buyer_percent',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_buyer_vat',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.commission_buyer_vat',
                "placeholder" => 'conveyancing::conveyancing.placeholder.commission_buyer_vat',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_seller',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.commission_seller',
                "placeholder" => 'conveyancing::conveyancing.placeholder.commission_seller',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_seller_percent',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.commission_seller_percent',
                "placeholder" => 'conveyancing::conveyancing.placeholder.commission_seller_percent',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_seller_vat',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.commission_seller_vat',
                "placeholder" => 'conveyancing::conveyancing.placeholder.commission_seller_vat',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.unit_no',
                "placeholder" => 'conveyancing::conveyancing.placeholder.unit_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agency_commission_amt',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.agency_commission_amt',
                "placeholder" => 'conveyancing::conveyancing.placeholder.agency_commission_amt',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'beds',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.beds',
                "placeholder" => 'conveyancing::conveyancing.placeholder.beds',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.notes',
                "placeholder" => 'conveyancing::conveyancing.placeholder.notes',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'approved_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.approved_id',
                "placeholder" => 'conveyancing::conveyancing.placeholder.approved_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'approved_date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'conveyancing::conveyancing.label.approved_date',
                "placeholder" => 'conveyancing::conveyancing.placeholder.approved_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mou_start_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'conveyancing::conveyancing.label.mou_start_date',
                "placeholder" => 'conveyancing::conveyancing.placeholder.mou_start_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mou_end_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'conveyancing::conveyancing.label.mou_end_date',
                "placeholder" => 'conveyancing::conveyancing.placeholder.mou_end_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'documents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.documents',
                "placeholder" => 'conveyancing::conveyancing.placeholder.documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'status_fcs',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.status_fcs',
                "placeholder" => 'conveyancing::conveyancing.placeholder.status_fcs',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.status_fcs');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'original_price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.original_price',
                "placeholder" => 'conveyancing::conveyancing.placeholder.original_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'paid_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.paid_amount',
                "placeholder" => 'conveyancing::conveyancing.placeholder.paid_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'selling_price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.selling_price',
                "placeholder" => 'conveyancing::conveyancing.placeholder.selling_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'service_charge',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.service_charge',
                "placeholder" => 'conveyancing::conveyancing.placeholder.service_charge',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'balance_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.balance_amount',
                "placeholder" => 'conveyancing::conveyancing.placeholder.balance_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'due_to_developer',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.due_to_developer',
                "placeholder" => 'conveyancing::conveyancing.placeholder.due_to_developer',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'due_to_seller',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.due_to_seller',
                "placeholder" => 'conveyancing::conveyancing.placeholder.due_to_seller',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'external_office_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.external_office_name',
                "placeholder" => 'conveyancing::conveyancing.placeholder.external_office_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'external_license',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.external_license',
                "placeholder" => 'conveyancing::conveyancing.placeholder.external_license',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'external_orn',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.external_orn',
                "placeholder" => 'conveyancing::conveyancing.placeholder.external_orn',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'external_license_no',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.external_license_no',
                "placeholder" => 'conveyancing::conveyancing.placeholder.external_license_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'external_fax',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.external_fax',
                "placeholder" => 'conveyancing::conveyancing.placeholder.external_fax',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'external_phone',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.external_phone',
                "placeholder" => 'conveyancing::conveyancing.placeholder.external_phone',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'external_address',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.external_address',
                "placeholder" => 'conveyancing::conveyancing.placeholder.external_address',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'external_email',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.external_email',
                "placeholder" => 'conveyancing::conveyancing.placeholder.external_email',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'external_agent_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.external_agent_name',
                "placeholder" => 'conveyancing::conveyancing.placeholder.external_agent_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'external_mobile',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.external_mobile',
                "placeholder" => 'conveyancing::conveyancing.placeholder.external_mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'external_brn',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.external_brn',
                "placeholder" => 'conveyancing::conveyancing.placeholder.external_brn',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'external_agency_rep',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.external_agency_rep',
                "placeholder" => 'conveyancing::conveyancing.placeholder.external_agency_rep',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.external_agency_rep');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.project_name',
                "placeholder" => 'conveyancing::conveyancing.placeholder.project_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'development',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.development',
                "placeholder" => 'conveyancing::conveyancing.placeholder.development',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'community',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.community',
                "placeholder" => 'conveyancing::conveyancing.placeholder.community',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'date_of_transfer',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'conveyancing::conveyancing.label.date_of_transfer',
                "placeholder" => 'conveyancing::conveyancing.placeholder.date_of_transfer',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type_of_area',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.type_of_area',
                "placeholder" => 'conveyancing::conveyancing.placeholder.type_of_area',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.type_of_area');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'title_deed_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.title_deed_no',
                "placeholder" => 'conveyancing::conveyancing.placeholder.title_deed_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.property_no',
                "placeholder" => 'conveyancing::conveyancing.placeholder.property_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'community_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.community_no',
                "placeholder" => 'conveyancing::conveyancing.placeholder.community_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type_of_sale',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.type_of_sale',
                "placeholder" => 'conveyancing::conveyancing.placeholder.type_of_sale',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'noc_developer',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.noc_developer',
                "placeholder" => 'conveyancing::conveyancing.placeholder.noc_developer',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mortgage',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.mortgage',
                "placeholder" => 'conveyancing::conveyancing.placeholder.mortgage',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mortgage_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.mortgage_amount',
                "placeholder" => 'conveyancing::conveyancing.placeholder.mortgage_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mortgage_paid_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.mortgage_paid_amount',
                "placeholder" => 'conveyancing::conveyancing.placeholder.mortgage_paid_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mortgage_period_from',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'conveyancing::conveyancing.label.mortgage_period_from',
                "placeholder" => 'conveyancing::conveyancing.placeholder.mortgage_period_from',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mortgage_period_to',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'conveyancing::conveyancing.label.mortgage_period_to',
                "placeholder" => 'conveyancing::conveyancing.placeholder.mortgage_period_to',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mortgage_level',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.mortgage_level',
                "placeholder" => 'conveyancing::conveyancing.placeholder.mortgage_level',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mortgage_discharge_fee',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.mortgage_discharge_fee',
                "placeholder" => 'conveyancing::conveyancing.placeholder.mortgage_discharge_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mortgage_registration_fee',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.mortgage_registration_fee',
                "placeholder" => 'conveyancing::conveyancing.placeholder.mortgage_registration_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'noc_attached',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.noc_attached',
                "placeholder" => 'conveyancing::conveyancing.placeholder.noc_attached',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.noc_attached');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.buyer_type',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_type',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.buyer_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.seller_type',
                "placeholder" => 'conveyancing::conveyancing.placeholder.seller_type',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.seller_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_transfer_fee_per',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.buyer_transfer_fee_per',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_transfer_fee_per',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_transfer_fee',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.buyer_transfer_fee',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_transfer_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_transfer_fee_per',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.seller_transfer_fee_per',
                "placeholder" => 'conveyancing::conveyancing.placeholder.seller_transfer_fee_per',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_transfer_fee',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.seller_transfer_fee',
                "placeholder" => 'conveyancing::conveyancing.placeholder.seller_transfer_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'transfer_admin_fee',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.transfer_admin_fee',
                "placeholder" => 'conveyancing::conveyancing.placeholder.transfer_admin_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_community_fees',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.buyer_community_fees',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_community_fees',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_community_fees',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.seller_community_fees',
                "placeholder" => 'conveyancing::conveyancing.placeholder.seller_community_fees',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_total_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.buyer_total_amount',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_total_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_total_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.seller_total_amount',
                "placeholder" => 'conveyancing::conveyancing.placeholder.seller_total_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'noc_fee',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.noc_fee',
                "placeholder" => 'conveyancing::conveyancing.placeholder.noc_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_conveyance_fee',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.buyer_conveyance_fee',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_conveyance_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_deposit_percent',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.buyer_deposit_percent',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_deposit_percent',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_deposit',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.buyer_deposit',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_deposit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_conveyance_fee',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.seller_conveyance_fee',
                "placeholder" => 'conveyancing::conveyancing.placeholder.seller_conveyance_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_progression_fee',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.buyer_progression_fee',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_progression_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_progression_fee',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.seller_progression_fee',
                "placeholder" => 'conveyancing::conveyancing.placeholder.seller_progression_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_blocking_fee',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.property_blocking_fee',
                "placeholder" => 'conveyancing::conveyancing.placeholder.property_blocking_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'trustee_blocking_fee',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.trustee_blocking_fee',
                "placeholder" => 'conveyancing::conveyancing.placeholder.trustee_blocking_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_sell_price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.buyer_sell_price',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_sell_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_agency',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.commission_agency',
                "placeholder" => 'conveyancing::conveyancing.placeholder.commission_agency',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'present_use',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.present_use',
                "placeholder" => 'conveyancing::conveyancing.placeholder.present_use',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.present_use');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'additional_info',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.additional_info',
                "placeholder" => 'conveyancing::conveyancing.placeholder.additional_info',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'listed_price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.listed_price',
                "placeholder" => 'conveyancing::conveyancing.placeholder.listed_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_brn',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.agent_brn',
                "placeholder" => 'conveyancing::conveyancing.placeholder.agent_brn',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_mobile',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.agent_mobile',
                "placeholder" => 'conveyancing::conveyancing.placeholder.agent_mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_rented',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.property_rented',
                "placeholder" => 'conveyancing::conveyancing.placeholder.property_rented',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rent_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.rent_amount',
                "placeholder" => 'conveyancing::conveyancing.placeholder.rent_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rent_security_deposit',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.rent_security_deposit',
                "placeholder" => 'conveyancing::conveyancing.placeholder.rent_security_deposit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'number_of_rented_properties',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.number_of_rented_properties',
                "placeholder" => 'conveyancing::conveyancing.placeholder.number_of_rented_properties',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rent_expiry',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'conveyancing::conveyancing.label.rent_expiry',
                "placeholder" => 'conveyancing::conveyancing.placeholder.rent_expiry',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'number_of_cheque',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.number_of_cheque',
                "placeholder" => 'conveyancing::conveyancing.placeholder.number_of_cheque',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rent_refund',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.rent_refund',
                "placeholder" => 'conveyancing::conveyancing.placeholder.rent_refund',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'refund_to_buyer',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.refund_to_buyer',
                "placeholder" => 'conveyancing::conveyancing.placeholder.refund_to_buyer',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'owner_name_english',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.owner_name_english',
                "placeholder" => 'conveyancing::conveyancing.placeholder.owner_name_english',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'owner_name_arabic',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.owner_name_arabic',
                "placeholder" => 'conveyancing::conveyancing.placeholder.owner_name_arabic',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'owner_LR_english',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.owner_LR_english',
                "placeholder" => 'conveyancing::conveyancing.placeholder.owner_LR_english',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'owner_LR_arabic',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.owner_LR_arabic',
                "placeholder" => 'conveyancing::conveyancing.placeholder.owner_LR_arabic',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'owner_representing_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.owner_representing_type',
                "placeholder" => 'conveyancing::conveyancing.placeholder.owner_representing_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'owner_attorney_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.owner_attorney_no',
                "placeholder" => 'conveyancing::conveyancing.placeholder.owner_attorney_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'owner_card',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.owner_card',
                "placeholder" => 'conveyancing::conveyancing.placeholder.owner_card',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.owner_card');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_card',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.buyer_card',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_card',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.buyer_card');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'owner_power_attorney',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.owner_power_attorney',
                "placeholder" => 'conveyancing::conveyancing.placeholder.owner_power_attorney',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.owner_power_attorney');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_power_attorney',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.buyer_power_attorney',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_power_attorney',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.buyer_power_attorney');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_name_english',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.buyer_name_english',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_name_english',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_name_arabic',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.buyer_name_arabic',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_name_arabic',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_LR_english',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.buyer_LR_english',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_LR_english',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_LR_arabic',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.buyer_LR_arabic',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_LR_arabic',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_representing_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.buyer_representing_type',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_representing_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_attorney_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.buyer_attorney_no',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_attorney_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'opportunity_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.opportunity_id',
                "placeholder" => 'conveyancing::conveyancing.placeholder.opportunity_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'offer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.offer_id',
                "placeholder" => 'conveyancing::conveyancing.placeholder.offer_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rent_start_date',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.rent_start_date',
                "placeholder" => 'conveyancing::conveyancing.placeholder.rent_start_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'stage',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.stage',
                "placeholder" => 'conveyancing::conveyancing.placeholder.stage',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'stages',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.stages',
                "placeholder" => 'conveyancing::conveyancing.placeholder.stages',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'baths',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.baths',
                "placeholder" => 'conveyancing::conveyancing.placeholder.baths',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'furnished',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.furnished',
                "placeholder" => 'conveyancing::conveyancing.placeholder.furnished',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'occupancy',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.occupancy',
                "placeholder" => 'conveyancing::conveyancing.placeholder.occupancy',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'conveyencer',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.conveyencer',
                "placeholder" => 'conveyancing::conveyancing.placeholder.conveyencer',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'admin',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.admin',
                "placeholder" => 'conveyancing::conveyancing.placeholder.admin',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'on_payment_plan',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'conveyancing::conveyancing.label.on_payment_plan',
                "placeholder" => 'conveyancing::conveyancing.placeholder.on_payment_plan',
                "rules" => '',
                "options" => function(){
                    return trans('conveyancing::conveyancing.options.on_payment_plan');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'external_documents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.external_documents',
                "placeholder" => 'conveyancing::conveyancing.placeholder.external_documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_agent_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.seller_agent_id',
                "placeholder" => 'conveyancing::conveyancing.placeholder.seller_agent_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_documents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.buyer_documents',
                "placeholder" => 'conveyancing::conveyancing.placeholder.buyer_documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_documents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.seller_documents',
                "placeholder" => 'conveyancing::conveyancing.placeholder.seller_documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'approved_loan_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'conveyancing::conveyancing.label.approved_loan_amount',
                "placeholder" => 'conveyancing::conveyancing.placeholder.approved_loan_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'conveyancer',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.conveyancer',
                "placeholder" => 'conveyancing::conveyancing.placeholder.conveyancer',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rejected_description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.rejected_description',
                "placeholder" => 'conveyancing::conveyancing.placeholder.rejected_description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'conveyancer_notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.conveyancer_notes',
                "placeholder" => 'conveyancing::conveyancing.placeholder.conveyancer_notes',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notifications',
                "element" => 'text',
                "type" => 'text',
                "label" => 'conveyancing::conveyancing.label.notifications',
                "placeholder" => 'conveyancing::conveyancing.placeholder.notifications',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'listing_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'conveyancing::conveyancing.label.listing_id',
                "placeholder" => 'conveyancing::conveyancing.placeholder.listing_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'conveyancing/conveyancing/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'conveyancing/conveyancing/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'conveyancing/conveyancing',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'conveyancing/conveyancing',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'conveyancing/conveyancing',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'conveyancing/conveyancing',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'conveyancing::conveyancing.label.created_at',
            'name' => 'conveyancing::conveyancing.label.name',
            'status' => 'conveyancing::conveyancing.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "conveyancing::conveyancing.groups.main",
                'group' => "main.main",
                'title' => "conveyancing::conveyancing.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "conveyancing::conveyancing.groups.details",
                'group' => "main.details",
                'title' => "conveyancing::conveyancing.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "conveyancing::conveyancing.groups.images",
                'group' => "main.images",
                'title' => "conveyancing::conveyancing.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "conveyancing::conveyancing.groups.settings",
                'group' => "main.settings",
                'title' => "conveyancing::conveyancing.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Conveyancing',
            'module' => 'Conveyancing',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Conveyancing\Models\Conveyancing::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'conveyancing::conveyancing.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['conveyancing.conveyancing.copy', 'conveyancing.conveyancing.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'conveyancing::conveyancing.label.count',
                        "placeholder" => 'conveyancing::conveyancing.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'conveyancing::conveyancing.label.comment',
                        "placeholder" => 'conveyancing::conveyancing.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'conveyancing::conveyancing.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'conveyancing::conveyancing.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
