<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoConveyancingContactsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_conveyancing_contacts
         */
        Schema::create('bixo_conveyancing_contacts', function ($table) {
            $table->increments('id');
            $table->integer('conveyancing_id')->nullable();
            $table->integer('contact_id')->nullable();
            $table->integer('related_id')->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_conveyancing_contacts');
    }
}
