<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoConveyancingConveyancingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_conveyancing_conveyancings
         */
        Schema::create('bixo_conveyancing_conveyancings', function ($table) {
            $table->increments('id');
            $table->string('deal_ref', 255)->nullable();
            $table->integer('team_id')->nullable();
            $table->integer('deal_id')->nullable();
            $table->string('location', 200)->nullable();
            $table->text('buyers')->nullable();
            $table->text('sellers')->nullable();
            $table->string('developer', 200)->nullable();
            $table->string('ref', 20)->nullable();
            $table->string('type', 100)->nullable();
            $table->string('property_type', 125)->nullable();
            $table->enum('property_status', ['Yes', 'No'])->nullable();
            $table->integer('developer_id')->nullable();
            $table->integer('agent_id')->nullable();
            $table->integer('bua')->nullable();
            $table->string('plot', 100)->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->string('plot_area', 60)->nullable();
            $table->enum('plot_area_unit', ['Yes', 'No'])->nullable();
            $table->decimal('commission_buyer', 10,2)->nullable();
            $table->decimal('commission_buyer_percent', 10,2)->nullable();
            $table->decimal('commission_buyer_vat', 12,3)->nullable();
            $table->decimal('commission_seller', 10,2)->nullable();
            $table->decimal('commission_seller_percent', 10,2)->nullable();
            $table->decimal('commission_seller_vat', 12,3)->nullable();
            $table->string('unit_no', 100)->nullable();
            $table->string('agency_commission_amt', 255)->nullable();
            $table->string('beds', 100)->nullable();
            $table->text('notes')->nullable();
            $table->integer('approved_id')->nullable();
            $table->dateTime('approved_date')->nullable();
            $table->date('mou_start_date')->nullable();
            $table->date('mou_end_date')->nullable();
            $table->text('documents')->nullable();
            $table->enum('status_fcs', ['Yes', 'No'])->nullable();
            $table->decimal('original_price', 12,2)->nullable();
            $table->decimal('paid_amount', 12,2)->nullable();
            $table->decimal('selling_price', 12,2)->nullable();
            $table->decimal('service_charge', 12,2)->nullable();
            $table->decimal('balance_amount', 12,2)->nullable();
            $table->integer('due_to_developer')->nullable();
            $table->integer('due_to_seller')->nullable();
            $table->string('external_office_name', 225)->nullable();
            $table->string('external_license', 255)->nullable();
            $table->string('external_orn', 255)->nullable();
            $table->integer('external_license_no')->nullable();
            $table->string('external_fax', 255)->nullable();
            $table->string('external_phone', 20)->nullable();
            $table->string('external_address', 255)->nullable();
            $table->string('external_email', 60)->nullable();
            $table->string('external_agent_name', 255)->nullable();
            $table->string('external_mobile', 20)->nullable();
            $table->string('external_brn', 255)->nullable();
            $table->enum('external_agency_rep', ['Yes', 'No'])->nullable();
            $table->string('project_name', 255)->nullable();
            $table->string('development', 255)->nullable();
            $table->string('community', 255)->nullable();
            $table->date('date_of_transfer')->nullable();
            $table->enum('type_of_area', ['Yes', 'No'])->nullable();
            $table->string('title_deed_no', 255)->nullable();
            $table->string('property_no', 255)->nullable();
            $table->string('community_no', 255)->nullable();
            $table->string('type_of_sale', 255)->nullable();
            $table->string('noc_developer', 255)->nullable();
            $table->integer('mortgage')->nullable();
            $table->decimal('mortgage_amount', 12,2)->nullable();
            $table->decimal('mortgage_paid_amount', 12,2)->nullable();
            $table->date('mortgage_period_from')->nullable();
            $table->date('mortgage_period_to')->nullable();
            $table->string('mortgage_level', 255)->nullable();
            $table->decimal('mortgage_discharge_fee', 12,2)->nullable();
            $table->decimal('mortgage_registration_fee', 12,2)->nullable();
            $table->enum('noc_attached', ['Yes', 'No'])->nullable();
            $table->enum('buyer_type', ['Yes', 'No'])->nullable();
            $table->enum('seller_type', ['Yes', 'No'])->nullable();
            $table->decimal('buyer_transfer_fee_per', 12,3)->nullable();
            $table->decimal('buyer_transfer_fee', 12,3)->nullable();
            $table->decimal('seller_transfer_fee_per', 12,3)->nullable();
            $table->decimal('seller_transfer_fee', 12,3)->nullable();
            $table->decimal('transfer_admin_fee', 12,2)->nullable();
            $table->decimal('buyer_community_fees', 12,2)->nullable();
            $table->decimal('seller_community_fees', 12,2)->nullable();
            $table->decimal('buyer_total_amount', 12,2)->nullable();
            $table->decimal('seller_total_amount', 12,2)->nullable();
            $table->decimal('noc_fee', 12,2)->nullable();
            $table->decimal('buyer_conveyance_fee', 12,2)->nullable();
            $table->decimal('buyer_deposit_percent', 10,2)->nullable();
            $table->decimal('buyer_deposit', 12,3)->nullable();
            $table->decimal('seller_conveyance_fee', 12,2)->nullable();
            $table->decimal('buyer_progression_fee', 12,2)->nullable();
            $table->decimal('seller_progression_fee', 12,2)->nullable();
            $table->decimal('property_blocking_fee', 12,2)->nullable();
            $table->decimal('trustee_blocking_fee', 12,2)->nullable();
            $table->decimal('buyer_sell_price', 12,2)->nullable();
            $table->decimal('commission_agency', 12,2)->nullable();
            $table->enum('present_use', ['Yes', 'No'])->nullable();
            $table->text('additional_info')->nullable();
            $table->decimal('listed_price', 12,2)->nullable();
            $table->string('agent_brn', 255)->nullable();
            $table->string('agent_mobile', 20)->nullable();
            $table->tinyInteger('property_rented')->nullable();
            $table->decimal('rent_amount', 12,3)->nullable();
            $table->decimal('rent_security_deposit', 12,3)->nullable();
            $table->integer('number_of_rented_properties')->nullable();
            $table->dateTime('rent_expiry')->nullable();
            $table->integer('number_of_cheque')->nullable();
            $table->tinyInteger('rent_refund')->nullable();
            $table->decimal('refund_to_buyer', 12,3)->nullable();
            $table->string('owner_name_english', 255)->nullable();
            $table->string('owner_name_arabic', 255)->nullable();
            $table->string('owner_LR_english', 255)->nullable();
            $table->string('owner_LR_arabic', 255)->nullable();
            $table->string('owner_representing_type', 255)->nullable();
            $table->string('owner_attorney_no', 255)->nullable();
            $table->enum('owner_card', ['Yes', 'No'])->nullable();
            $table->enum('buyer_card', ['Yes', 'No'])->nullable();
            $table->enum('owner_power_attorney', ['Yes', 'No'])->nullable();
            $table->enum('buyer_power_attorney', ['Yes', 'No'])->nullable();
            $table->string('buyer_name_english', 255)->nullable();
            $table->string('buyer_name_arabic', 255)->nullable();
            $table->string('buyer_LR_english', 255)->nullable();
            $table->string('buyer_LR_arabic', 255)->nullable();
            $table->string('buyer_representing_type', 255)->nullable();
            $table->string('buyer_attorney_no', 255)->nullable();
            $table->string('slug', 255)->nullable();
            $table->integer('opportunity_id')->nullable();
            $table->integer('offer_id')->nullable();
            $table->string('rent_start_date', 20)->nullable();
            $table->string('stage', 50)->nullable();
            $table->text('stages')->nullable();
            $table->string('baths', 5)->nullable();
            $table->string('furnished', 20)->nullable();
            $table->string('occupancy', 20)->nullable();
            $table->integer('conveyencer')->nullable();
            $table->integer('admin')->nullable();
            $table->enum('on_payment_plan', ['Yes', 'No'])->nullable();
            $table->text('external_documents')->nullable();
            $table->integer('seller_agent_id')->nullable();
            $table->text('buyer_documents')->nullable();
            $table->text('seller_documents')->nullable();
            $table->decimal('approved_loan_amount', 15,2)->nullable();
            $table->integer('conveyancer')->nullable();
            $table->text('rejected_description')->nullable();
            $table->text('conveyancer_notes')->nullable();
            $table->text('notifications')->nullable();
            $table->integer('listing_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_conveyancing_conveyancings');
    }
}
