<?php

namespace Bixo\Conveyancing\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class ConveyancingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_conveyancing_conveyancings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.conveyancing.conveyancing.view',
                'name'      => 'View Conveyancing',
            ],
            [
                'slug'      => 'bixo.conveyancing.conveyancing.create',
                'name'      => 'Create Conveyancing',
            ],
            [
                'slug'      => 'bixo.conveyancing.conveyancing.edit',
                'name'      => 'Update Conveyancing',
            ],
            [
                'slug'      => 'bixo.conveyancing.conveyancing.delete',
                'name'      => 'Delete Conveyancing',
            ],
            
                        [
                'slug'      => 'bixo.conveyancing.conveyancing.verify',
                'name'      => 'Verify Conveyancing',
            ],
            [
                'slug'      => 'bixo.conveyancing.conveyancing.approve',
                'name'      => 'Approve Conveyancing',
            ],
            [
                'slug'      => 'bixo.conveyancing.conveyancing.publish',
                'name'      => 'Publish Conveyancing',
            ],
            [
                'slug'      => 'bixo.conveyancing.conveyancing.unpublish',
                'name'      => 'Unpublish Conveyancing',
            ],
            [
                'slug'      => 'bixo.conveyancing.conveyancing.cancel',
                'name'      => 'Cancel Conveyancing',
            ],
            [
                'slug'      => 'bixo.conveyancing.conveyancing.archive',
                'name'      => 'Archive Conveyancing',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/conveyancing/conveyancing',
                'name'        => 'Conveyancing',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/conveyancing/conveyancing',
                'name'        => 'Conveyancing',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'conveyancing',
                'name'        => 'Conveyancing',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Conveyancing',
                'module'    => 'Conveyancing',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.conveyancing.conveyancing.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
