<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for contact in conveyancing package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  contact module in conveyancing package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Contact',
    'names' => 'Contacts',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Contacts',
        'sub' => 'Contacts'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'type' => 
            [
                                
                [
                    'key'    => 'Buyer',
                    'value'  => 'Buyer',
                    'text'   => 'Buyer',
                ],
                                
                [
                    'key'    => 'Seller',
                    'value'  => 'Seller',
                    'text'   => 'Seller',
                ],
                                
                [
                    'key'    => 'Tenant',
                    'value'  => 'Tenant',
                    'text'   => 'Tenant',
                ],
                                
                [
                    'key'    => 'Landlord',
                    'value'  => 'Landlord',
                    'text'   => 'Landlord',
                ],
                                
                [
                    'key'    => 'Owner',
                    'value'  => 'Owner',
                    'text'   => 'Owner',
                ],
                                
                [
                    'key'    => 'Manager',
                    'value'  => 'Manager',
                    'text'   => 'Manager',
                ],
                                
                [
                    'key'    => 'Poa',
                    'value'  => 'Poa',
                    'text'   => 'Poa',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'conveyancing_id'            => 'Please enter conveyancing id',
        'contact_id'                 => 'Please enter contact id',
        'related_id'                 => 'Please enter related id',
        'type'                       => 'Please select type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'conveyancing_id'            => 'Conveyancing id',
        'contact_id'                 => 'Contact id',
        'related_id'                 => 'Related id',
        'type'                       => 'Type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
