<?php

// Web routes  for conveyancing.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for conveyancing

Route::prefix('{guard}/conveyancing')->group(function () {

    Route::get('/workflow/{conveyancing}/{user}', 'ConveyancingWorkflowController@get')
        ->name('bixo.conveyancing.workflow');
    Route::post('/workflow/{conveyancing}/{user}', 'ConveyancingWorkflowController@post');

    Route::get('/action/{conveyancing}/{user}', 'ConveyancingActionController@get')
        ->name('bixo.conveyancing.action');
    Route::post('/action/{conveyancing}/{user}', 'ConveyancingActionController@post');

});


// Workflow routes for contact

Route::prefix('{guard}/contact')->group(function () {

    Route::get('/workflow/{contact}/{user}', 'ContactWorkflowController@get')
        ->name('bixo.conveyancing.workflow');
    Route::post('/workflow/{contact}/{user}', 'ContactWorkflowController@post');

    Route::get('/action/{contact}/{user}', 'ContactActionController@get')
        ->name('bixo.conveyancing.action');
    Route::post('/action/{contact}/{user}', 'ContactActionController@post');

});

