<?php

namespace Bixo\Conveyancing\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Conveyancing\Models\Conveyancing;


class ConveyancingAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.conveyancing.conveyancing';
    protected $eventClass = \Bixo\Conveyancing\Events\ConveyancingAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Conveyancing $conveyancing, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $conveyancing;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Conveyancing $conveyancing, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $conveyancing = $conveyancing->create($attributes);
        return $conveyancing;
    }

    public function update(Conveyancing $conveyancing, array $request)
    {
        $attributes = $request;
        $conveyancing->update($attributes);
        return $conveyancing;
    }

    public function destroy(Conveyancing $conveyancing, array $request)
    {
        $conveyancing->delete();
        return $conveyancing;
    }

    public function copy(Conveyancing $conveyancing, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $conveyancing = $conveyancing->replicate();
            $conveyancing->created_at = Carbon::now();
            $conveyancing->save();
            return $conveyancing;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $conveyancing->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $conveyancing;
    }


}
