<?php

namespace Bixo\Conveyancing\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Conveyancing\Http\Requests\ConveyancingActionsRequest;
use Bixo\Conveyancing\Actions\ConveyancingActions;

/**
 * Admin web controller class.
 */
class ConveyancingActionsController extends BaseController
{

    /**
     * Action controller function for conveyancing.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(ConveyancingActionsRequest $request, $action)
    {
        try {
            $conveyancing = ConveyancingActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('conveyancing::conveyancing.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('conveyancing/conveyancing/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('conveyancing/conveyancing/' . $action))
                ->redirect();
        }
    }
}
