<?php

namespace Bixo\Conveyancing\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Conveyancing\Actions\ConveyancingReport;
use Bixo\Conveyancing\Http\Requests\ConveyancingReportRequest;

/**
 * Admin web controller class.
 */
class ConveyancingReportController extends BaseController
{
    /**
     * Action controller function for conveyancing.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(ConveyancingReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Conveyancing::class);
            $data = ConveyancingReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('conveyancing::conveyancing.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('conveyancing/conveyancing/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('conveyancing/conveyancing/' . $report))
                ->redirect();
        }
    }
}
