<?php

namespace Bixo\Conveyancing\Policies;

use Bixo\Conveyancing\Models\Contact;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait ContactAction
{

    /**
     * Determine if the given user can copy the given contact.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Contact $contact)
    {

        if ($authUser->canDo('conveyancing.contact.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given contact.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Contact $contact) {

        if ($authUser->canDo('conveyancing.contact.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given contact.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Contact $contact)
    {

        if ($authUser->canDo('conveyancing.contact.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
