<?php

namespace Bixo\Conveyancing\Policies;

use Bixo\Conveyancing\Models\Contact;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait ContactWorkflow
{

    /**
     * Determine if the given user can approve the given contact.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Contact $contact)
    {
        if ($user->canDo('conveyancing.contact.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given contact.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Contact $contact)
    {
        if ($user->canDo('conveyancing.contact.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given contact.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Contact $contact)
    {
        if ($user->canDo('conveyancing.contact.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given contact.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Contact $contact)
    {
        if ($user->canDo('conveyancing.contact.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given contact.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Contact $contact)
    {
        if ($user->canDo('conveyancing.contact.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given contact.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Contact $contact)
    {
        if ($user->canDo('conveyancing.contact.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given contact.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Contact $contact)
    {
        if ($user->canDo('conveyancing.contact.reject')) {
            return true;
        }

        return false;
    }

}
