<?php

namespace Bixo\Conveyancing\Policies;

use Bixo\Conveyancing\Models\Conveyancing;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait ConveyancingAction
{

    /**
     * Determine if the given user can copy the given conveyancing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Conveyancing $conveyancing)
    {

        if ($authUser->canDo('conveyancing.conveyancing.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given conveyancing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Conveyancing $conveyancing) {

        if ($authUser->canDo('conveyancing.conveyancing.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given conveyancing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Conveyancing $conveyancing)
    {

        if ($authUser->canDo('conveyancing.conveyancing.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
