<?php


namespace Bixo\Conveyancing\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait ConveyancingReport
{

    /**
     * Determine if the given user can approve the given conveyancing.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('conveyancing.conveyancing.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given conveyancing.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('conveyancing.conveyancing.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given conveyancing.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('conveyancing.conveyancing.report.download')) {
            return true;
        }

        return false;
    }
}
