<?php

namespace Bixo\Conveyancing\Policies;

use Bixo\Conveyancing\Models\Conveyancing;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait ConveyancingWorkflow
{

    /**
     * Determine if the given user can approve the given conveyancing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Conveyancing $conveyancing)
    {
        if ($user->canDo('conveyancing.conveyancing.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given conveyancing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Conveyancing $conveyancing)
    {
        if ($user->canDo('conveyancing.conveyancing.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given conveyancing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Conveyancing $conveyancing)
    {
        if ($user->canDo('conveyancing.conveyancing.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given conveyancing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Conveyancing $conveyancing)
    {
        if ($user->canDo('conveyancing.conveyancing.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given conveyancing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Conveyancing $conveyancing)
    {
        if ($user->canDo('conveyancing.conveyancing.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given conveyancing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Conveyancing $conveyancing)
    {
        if ($user->canDo('conveyancing.conveyancing.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given conveyancing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Conveyancing $conveyancing)
    {
        if ($user->canDo('conveyancing.conveyancing.reject')) {
            return true;
        }

        return false;
    }

}
