<?php

namespace Bixo\Conveyancing\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Conveyancing policy
        \Bixo\Conveyancing\Models\Conveyancing::class 
        => \Bixo\Conveyancing\Policies\ConveyancingPolicy::class,// Bind Contact policy
        \Bixo\Conveyancing\Models\Contact::class 
        => \Bixo\Conveyancing\Policies\ContactPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
