<?php

namespace Bixo\Conveyancing\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\Conveyancing\Events\ConveyancingAction;
use Bixo\Conveyancing\Events\ConveyancingWorkflow;
use Bixo\Conveyancing\Listeners\ConveyancingAction as ConveyancingActionListener;
use Bixo\Conveyancing\Listeners\ConveyancingWorkflow as ConveyancingWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        ConveyancingAction::class => [
            ConveyancingActionListener::class,
        ],
        ConveyancingWorkflow::class => [
            ConveyancingWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
